package com.dcsoft.system.consume.domain;

import java.util.Date;

import com.dcsoft.common.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.dcsoft.common.core.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 三方上报餐补信息对象 consume_report
 *
 * @author dcsoft
 * @date 2024-10-24
 */
public class ConsumeReport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 部门 */
    @Excel(name = "部门")
    private String branchId;

    private String branchName;

    /** 餐补时段（1早上2中餐3晚餐） */
    @Excel(name = "餐补时段", readConverterExp = "1=早上2中餐3晚餐")
    private String consumeInterval;

    /** 补贴类型（1正常，2加班） */
    @Excel(name = "补贴类型", readConverterExp = "1=正常，2加班")
    private String type;

    /** 餐补时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "餐补时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date consumeTime;

    private String canteen;

    private Long[] userIds;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setBranchId(String branchId)
    {
        this.branchId = branchId;
    }

    public String getBranchId()
    {
        return branchId;
    }
    public void setConsumeInterval(String consumeInterval)
    {
        this.consumeInterval = consumeInterval;
    }

    public String getConsumeInterval()
    {
        return consumeInterval;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setConsumeTime(Date consumeTime)
    {
        this.consumeTime = consumeTime;
    }

    public Date getConsumeTime()
    {
        return consumeTime;
    }

    public Long[] getUserIds() {
        return userIds;
    }

    public void setUserIds(Long[] userIds) {
        this.userIds = userIds;
    }

    public String getCanteen() {
        return canteen;
    }

    public void setCanteen(String canteen) {
        this.canteen = canteen;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("branchId", getBranchId())
            .append("consumeInterval", getConsumeInterval())
            .append("type", getType())
            .append("consumeTime", getConsumeTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
